%define		kdeframever	5.86
%define		qtver		5.9.0
%define		kfname		kdewebkit
Summary:	Integration of the HTML rendering engine WebKit
Name:		kf5-%{kfname}
Version:	5.86.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/portingAids/%{kfname}-%{version}.tar.xz
# Source0-md5:	0d7224298af7fc34d1fc7e6cd7f03582
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel >= 5.2.0
BuildRequires:	Qt5Gui-devel >= 5.3.1
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5OpenGL-devel >= 5.3.1
BuildRequires:	Qt5Positioning-devel >= 5.3.1
BuildRequires:	Qt5PrintSupport-devel >= 5.3.1
BuildRequires:	Qt5Qml-devel >= 5.3.1
BuildRequires:	Qt5Quick-devel >= 5.3.1
BuildRequires:	Qt5Sensors-devel >= 5.3.1
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5WebKit-devel >= 5.3.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5Xml-devel >= 5.2.0
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-attica-devel >= %{version}
BuildRequires:	kf5-extra-cmake-modules >= 1.0.0
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kbookmarks-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kglobalaccel-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kiconthemes-devel >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	kf5-kitemviews-devel >= %{version}
BuildRequires:	kf5-kjobwidgets-devel >= %{version}
BuildRequires:	kf5-knotifications-devel >= %{version}
BuildRequires:	kf5-kparts-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-ktextwidgets-devel >= %{version}
BuildRequires:	kf5-kwallet-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	kf5-kxmlgui-devel >= %{version}
BuildRequires:	kf5-solid-devel >= %{version}
BuildRequires:	kf5-sonnet-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
This library provides KDE integration of the QtWebKit library. If you
are using QtWebKit in your KDE application, you are encouraged to use
this layer instead of using the QtWebKit classes directly.

In particular, you should use KWebView in place of QWebView,
KGraphicsWebView in place of QGraphicsWebView and KWebPage in place of
QWebPage. See the documentation for those classes for more
information.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%{?with_tests:%ninja_build test}

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5WebKit.so.5
%attr(755,root,root) %{_libdir}/libKF5WebKit.so.*.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/designer/kdewebkit5widgets.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KDEWebKit
%{_includedir}/KF5/kdewebkit_version.h
%{_libdir}/cmake/KF5WebKit
%{_libdir}/libKF5WebKit.so
%{qt5dir}/mkspecs/modules/qt_KDEWebKit.pri
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kdewebkit.git;a=log;h=master

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 580639f
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1bf6cd3
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 185ecb9
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0bbf828
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 89732aa
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 251ee89
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fcb7ce3
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b201082
- update to 5.79.0

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 80acfdd
- updated to 5.59.0

* Sat May 25 2019 Jan Rękorajski <baggins@pld-linux.org> cb8e42f
- up to 5.56.0

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 7a12e8f
- updated to 5.53.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 415d210
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b3f296
- up to 5.43.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> eb90453
- updated to 5.39.0

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 8893c59
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> d72a6bb
- updated to 5.23

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 8fc4801
- updated to 5.19.0

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 729730b
- up to 5.13.0

* Fri Jul 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 979fb42
- new

